# Vpc and subnet

{% hint style="info" %}
**Updated**: February 13, 2026
{% endhint %}

## Creating a vpc and subnet with minimal parameters

```
resources:
  - type: "Microsoft.Network/virtualNetworks"
    name: vnet1
    props:
      resource_group: rg1
      address_space:
        address_prefixes:
          - "10.0.0.0/16"
      subnets:
        - name: subnet1
          props: 
            address_prefix: "10.0.1.0/24"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/azure/examples-free-resources/vpc-and-subnet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
